petsc-3.15.0 2021-03-30
Report Typos and Errors

# VecScatterRegister

Adds a new vector scatter component implementation

### Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterRegister(const char sname[], PetscErrorCode (*function)(VecScatter))

Not Collective

### Input Parameters

| name | - The name of a new user-defined creation routine
| create_func | - The creation routine itself

### See Also

VecRegister()

### Level

advanced

### Location

src/vec/is/sf/interface/vscat.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages